<div class="container">
	<div class="row">
		<div class="col-lg-3 col-md-6 col-md-offset-3 col-lg-offset-0">
      <div class="well">
      <h3 align="center">Filtro de busqueda</h3>
        <form class="form-horizontal">
          <div class="form-group">
            <label for="location1" class="control-label">Nombre</label>
                <input type="text" 
                        class="form-control" 
                        [(ngModel)]="filter.name" 
                        [ngModelOptions]="{standalone: true}">
          </div>
          <div class="form-group">
            <label for="type1" class="control-label">Marca</label>
              <select [(ngModel)]="filter.brand" 
                      class="form-control" 
                      [ngModelOptions]="{standalone: true}">
                <option *ngFor="let brand of brands" [ngValue]="brand">{{brand}}</option>
              </select>  
          </div>
          <div class="form-group">
            <label for="pricefrom" class="control-label">Categorias</label>
              <select [(ngModel)]="filter.categories" 
                      class="form-control" 
                      [ngModelOptions]="{standalone: true}">
                <option *ngFor="let section of sections" 
                        [ngValue]="section">{{section}}</option>
              </select>  
          </div>
          <div class="form-group">
            <label for="priceto" class="control-label">Condición del producto</label>
              <select [(ngModel)]="filter.condition" 
                      class="form-control" 
                        [ngModelOptions]="{standalone: true}">
                  <option *ngFor="let condition of conditions" [ngValue]="condition">{{condition}}</option>
              </select>  
          </div>
          <p class="text-center" (click)="search()"><a class="btn btn-danger glyphicon glyphicon-search" role="button">Buscar</a></p>
        </form>
      </div>
    </div>
      <div class="col-lg-3 col-md-6 col-md-offset-3 col-lg-offset-0" *ngIf="showData">
        <chart [options]="optionsChart" >
            <series>
                <point (click)="onPointSelect($event.context)"></point>
            </series>
        </chart>
    </div>
  </div>
</div>
            

<!-- Button trigger modal -->
<button type="button" id="openModalButton" [hidden]="true" class="btn btn-primary" data-toggle="modal" data-target="#filterModal">
  Launch demo modal
</button>
<!-- Modal -->
<div class="modal fade" id="filterModal" tabindex="-1" role="dialog" aria-labelledby="FilterModal" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header ">
        <h5 class="modal-title" ></h5>
        <div class="title">{{modalTitle}}</div>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      
      <div class="modal-body">
        <app-product-table [products]="productsModal" (productSelect)="selectFilter($event)"></app-product-table>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>